<?php
/*======================================================================*\
|| #################################################################### ||
|| #                                                        # ||
|| # ---------------------------------------------------------------- # ||
|| #      Copyright 2000-2011 Weblanca - http://weblanca.com/        # ||
|| #################################################################### ||
\*======================================================================*/

// ######################## SET PHP ENVIRONMENT ###########################
error_reporting(E_ALL & ~E_NOTICE);

// ##################### DEFINE IMPORTANT CONSTANTS #######################
define('NO_REGISTER_GLOBALS', 1);
define('THIS_SCRIPT', 'wbthreadnot');

// #################### PRE-CACHE TEMPLATES AND DATA ######################
$phrasegroups = array();
$specialtemplates = array();

// ########################## REQUIRE BACK-END ############################
require_once('./global.php');

// ######################## CHECK ADMIN PERMISSIONS #######################
if (!can_administer('canadminusers'))
{
	print_cp_no_permission();
}

// ########################################################################
// ######################### START MAIN SCRIPT ############################
// ########################################################################

print_cp_header(" ");

if (empty($_REQUEST['do']))
{
	$_REQUEST['do'] = "list";
}

// ###################### Start remove data #######################
if ($_REQUEST['do'] == 'remove')
{
	$vbulletin->input->clean_array_gpc('r', array(
		'id' => TYPE_INT
	));

	if (!empty($vbulletin->GPC['id']))
	{
		$data = $db->query_first("
			SELECT id
			FROM weblanca_thread_not_id
			WHERE id IN('". $vbulletin->GPC['id'] ."') LIMIT 1
		");
	}
	else
	{
		print_cp_message('      .');
	}
	if (empty($data))
	{
		print_cp_message('      .');
	}

	print_form_header('wbthreadnot', 'kill');
	construct_hidden_code('id', $vbulletin->GPC['id']);
	print_table_header($vbphrase['confirm_deletion']);
	print_description_row('<blockquote>     ݿ</blockquote>');
	print_submit_row($vbphrase['yes'], '', 2, $vbphrase['no']);
}

// ###################### Start kill data #######################
if ($_POST['do'] == 'kill')
{
	$vbulletin->input->clean_array_gpc('p', array(
		'id' => TYPE_INT
	));

	$db->query_write("DELETE FROM weblanca_thread_not_id WHERE id = " . $vbulletin->GPC['id']);
	
	$data = $db->query_first("
		SELECT *
		FROM weblanca_thread_not_id
		WHERE id IN('". $vbulletin->GPC['id'] ."') LIMIT 1
	");
	
	$db->query_write("DELETE FROM weblanca_thread_not WHERE threadid IN('" . $data['threadid'] . "') ");

	$_REQUEST['do'] = 'list';
}

// ###################### Start insert data #######################
if ($_REQUEST['do'] == "insert")
{
	
	print_form_header('wbthreadnot', 'doinsert');
	print_table_header("  ");

	print_input_row(" ", 'threadid');
	print_input_row(" ", 'days');

	print_submit_row($vbphrase["save"]);
}

// ###################### Start do insert data #######################
if ($_REQUEST['do'] == "doinsert")
{
	$vbulletin->input->clean_array_gpc('p', array(
		'threadid' => TYPE_INT,
		'days' => TYPE_INT,
	));
	
	$db->query_write("INSERT INTO weblanca_thread_not_id(id,threadid,days,date)VALUES(NULL, '" . addslashes($vbulletin->GPC['threadid']) . "', '" . addslashes($vbulletin->GPC['days']) . "', '" . TIMENOW . "')");
	define('CP_REDIRECT', "wbthreadnot.php");
	print_cp_message("   ", CP_REDIRECT);
}

// ###################### Start update data #######################
if ($_REQUEST['do'] == "update")
{
	$vbulletin->input->clean_array_gpc('r', array(
		'id' => TYPE_INT
	));

	if (!empty($vbulletin->GPC['id']))
	{
		$data = $db->query_first("
			SELECT *
			FROM weblanca_thread_not_id
			WHERE id IN('". $vbulletin->GPC['id'] ."') LIMIT 1
		");
	}
	else
	{
		print_cp_message('      .');
	}
	if (empty($data))
	{
		print_cp_message('      .');
	}
	
	print_form_header('wbthreadnot', 'doupdate');
	print_table_header("  ");
	construct_hidden_code('id', $data['id']);

	print_input_row(" ", 'threadid', $data['threadid']);
	print_input_row(" ", 'days', $data['days']);

	print_submit_row($vbphrase["save"]);
}

// ###################### Start do update data #######################
if ($_REQUEST['do'] == "doupdate")
{
	$vbulletin->input->clean_array_gpc('p', array(
		'id' => TYPE_INT,
		'threadid' => TYPE_INT,
		'days' => TYPE_INT,
	));
	
	$db->query_write("UPDATE weblanca_thread_not_id SET
	threadid = '" . addslashes($vbulletin->GPC['threadid']) . "',
	days = '" . addslashes($vbulletin->GPC['days']) . "'
	WHERE id = " . $vbulletin->GPC['id']);
	define('CP_REDIRECT', "wbthreadnot.php");
	print_cp_message("    ", CP_REDIRECT);
}

// ###################### list of data #######################
if ($_REQUEST['do'] == "list")
{
	print_form_header('wbthreadnot', 'insert');

	print_table_header('  ', 3);
	print_cells_row(array('', ' ', ''), 1, '', -1);
	
	$data = $db->query_read("
		SELECT
			notification.id AS id, notification.threadid AS threadid, notification.days AS days, notification.date AS date,
			thread.title AS title
		FROM weblanca_thread_not_id AS notification
		LEFT JOIN " . TABLE_PREFIX . "thread AS thread ON (notification.threadid = thread.threadid)
		ORDER BY notification.date DESC 
	");
	
	if (!$db->num_rows($data))
	{
		print_description_row('<blockquote style="text-align: center">  .</blockquote>', 0, 3);
	}
	
	while ($notification = $db->fetch_array($data))
	{
		// days
		$days = ($notification['date'] + 60 * 60 * 24 * intval($notification['days'])) - TIMENOW;
		$days = ceil($days / (60 * 60 * 24));
		$days = ($days < 0) ? 0 : $days;
		
		// html
		if ($days > 0)
		{
			$edit_link = construct_link_code('', "wbthreadnot.php?do=update&id=" . $notification['id']);
			$htmlDays = htmlspecialchars_uni($notification['days']) . '<br /><font color=green> : ' . $days . ' </font>';
		}
		else
		{
			$htmlDays = '<font color=red>  !!</font>';
		}
		//
		print_cells_row(
			array(
				'<a href="../showthread.php?t=' . $notification['threadid'] . '" target="new">' . htmlspecialchars_uni($notification['title']) . '</a>',
				$htmlDays,
				construct_link_code('', "wbthreadnot.php?do=remove&id=" . $notification['id']) . $edit_link
			),
			0, '', -1
		);
	}
	print_submit_row('  ', NULL, 3);
	print_table_footer();
}

print_cp_footer();
?>